- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- SignatureImage

# NAME

signature - Compute a Digital Signature for an Image

# SYNOPSIS

MagickBooleanType SignatureImage( Image *image );

# FUNCTION DESCRIPTIONS

## SignatureImage

> SignatureImage() computes a message digest from an image pixel stream with an implementation of the NIST SHA-256 Message Digest algorithm. This signature uniquely identifies the image and is convenient for determining if an image has been modified or whether two images are identical.

The format of the SignatureImage method is:

> MagickBooleanType SignatureImage ( Image *image );

A description of each parameter follows:

image:
  The image.

"Image manipulation software that works like magick"